clang-tools 10.0.0

Classes | Namespaces | Typedefs | Functions
RIFF.h File Reference
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/ScopedPrinter.h"`
`#include <array>`
Include dependency graph for RIFF.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::riff::Chunk
struct | clang::clangd::riff::File

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd
| clang::clangd::riff

## Typedefs
using | clang::clangd::riff::FourCC = std::array< char, 4 >

## Functions
constexpr FourCC | clang::clangd::riff::fourCC (const char(&Literal)[5])
bool | clang::clangd::riff::operator== (const Chunk &L, const Chunk &R)
bool | clang::clangd::riff::operator== (const File &L, const File &R)
llvm::Expected< Chunk > | clang::clangd::riff::readChunk (llvm::StringRef &Stream)
llvm::raw_ostream & | clang::clangd::riff::operator<< (llvm::raw_ostream &OS, const Chunk &C)
llvm::Expected< File > | clang::clangd::riff::readFile (llvm::StringRef Stream)
llvm::raw_ostream & | clang::clangd::riff::operator<< (llvm::raw_ostream &OS, const File &F)